org.opencv.ml

## Class LogisticRegression

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ml.StatModel
    - - org.opencv.ml.LogisticRegression

-     public class LogisticRegression
      extends StatModel

  Implements Logistic Regression classifier. SEE: REF: ml_intro_lr

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BATCH`
    `static int` | `MINI_BATCH`
    `static int` | `REG_DISABLE`
    `static int` | `REG_L1`
    `static int` | `REG_L2`

    - ### Fields inherited from class org.opencv.ml.StatModel

      `COMPRESSED_INPUT, PREPROCESSED_INPUT, RAW_OUTPUT, UPDATE_MODEL`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LogisticRegression(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LogisticRegression` | `__fromPtr__(long addr)`
    `static LogisticRegression` | `create()` Creates empty model.
    `protected void` | `finalize()`
    `Mat` | `get_learnt_thetas()` This function returns the trained parameters arranged across rows.
    `int` | `getIterations()` SEE: setIterations
    `double` | `getLearningRate()` SEE: setLearningRate
    `int` | `getMiniBatchSize()` SEE: setMiniBatchSize
    `int` | `getRegularization()` SEE: setRegularization
    `TermCriteria` | `getTermCriteria()` SEE: setTermCriteria
    `int` | `getTrainMethod()` SEE: setTrainMethod
    `static LogisticRegression` | `load(String filepath)` Loads and creates a serialized LogisticRegression from a file Use LogisticRegression::save to serialize and store an LogisticRegression to disk.
    `static LogisticRegression` | `load(String filepath, String nodeName)` Loads and creates a serialized LogisticRegression from a file Use LogisticRegression::save to serialize and store an LogisticRegression to disk.
    `float` | `predict(Mat samples)` Predicts responses for input samples and returns a float type.
    `float` | `predict(Mat samples, Mat results)` Predicts responses for input samples and returns a float type.
    `float` | `predict(Mat samples, Mat results, int flags)` Predicts responses for input samples and returns a float type.
    `void` | `setIterations(int val)` getIterations SEE: getIterations
    `void` | `setLearningRate(double val)` getLearningRate SEE: getLearningRate
    `void` | `setMiniBatchSize(int val)` getMiniBatchSize SEE: getMiniBatchSize
    `void` | `setRegularization(int val)` getRegularization SEE: getRegularization
    `void` | `setTermCriteria(TermCriteria val)` getTermCriteria SEE: getTermCriteria
    `void` | `setTrainMethod(int val)` getTrainMethod SEE: getTrainMethod

    - ### Methods inherited from class org.opencv.ml.StatModel

      `calcError, empty, getVarCount, isClassifier, isTrained, train, train, train`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BATCH

          public static final int BATCH

      See Also:
        Constant Field Values

    - #### MINI_BATCH

          public static final int MINI_BATCH

      See Also:
        Constant Field Values

    - #### REG_DISABLE

          public static final int REG_DISABLE

      See Also:
        Constant Field Values

    - #### REG_L1

          public static final int REG_L1

      See Also:
        Constant Field Values

    - #### REG_L2

          public static final int REG_L2

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LogisticRegression

          protected LogisticRegression(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static LogisticRegression __fromPtr__(long addr)

    - #### get_learnt_thetas

          public Mat get_learnt_thetas()

      This function returns the trained parameters arranged across rows. For a two class classifcation problem, it returns a row matrix. It returns learnt parameters of the Logistic Regression as a matrix of type CV_32F.
      Returns:
        automatically generated

    - #### create

          public static LogisticRegression create()

      Creates empty model. Creates Logistic Regression model with parameters given.
      Returns:
        automatically generated

    - #### load

          public static LogisticRegression load(String filepath,
                                                String nodeName)

      Loads and creates a serialized LogisticRegression from a file Use LogisticRegression::save to serialize and store an LogisticRegression to disk. Load the LogisticRegression from this file again, by calling this function with the path to the file. Optionally specify the node for the file containing the classifier
      Parameters:
        `filepath` - path to serialized LogisticRegression
        `nodeName` - name of node containing the classifier
      Returns:
        automatically generated

    - #### load

          public static LogisticRegression load(String filepath)

      Loads and creates a serialized LogisticRegression from a file Use LogisticRegression::save to serialize and store an LogisticRegression to disk. Load the LogisticRegression from this file again, by calling this function with the path to the file. Optionally specify the node for the file containing the classifier
      Parameters:
        `filepath` - path to serialized LogisticRegression
      Returns:
        automatically generated

    - #### getTermCriteria

          public TermCriteria getTermCriteria()

      SEE: setTermCriteria
      Returns:
        automatically generated

    - #### getLearningRate

          public double getLearningRate()

      SEE: setLearningRate
      Returns:
        automatically generated

    - #### predict

          public float predict(Mat samples,
                               Mat results,
                               int flags)

      Predicts responses for input samples and returns a float type.
      Overrides:
        `predict` in class `StatModel`
      Parameters:
        `samples` - The input data for the prediction algorithm. Matrix [m x n], where each row contains variables (features) of one object being classified. Should have data type CV_32F.
        `results` - Predicted labels as a column matrix of type CV_32S.
        `flags` - Not used.
      Returns:
        automatically generated

    - #### predict

          public float predict(Mat samples,
                               Mat results)

      Predicts responses for input samples and returns a float type.
      Overrides:
        `predict` in class `StatModel`
      Parameters:
        `samples` - The input data for the prediction algorithm. Matrix [m x n], where each row contains variables (features) of one object being classified. Should have data type CV_32F.
        `results` - Predicted labels as a column matrix of type CV_32S.
      Returns:
        automatically generated

    - #### predict

          public float predict(Mat samples)

      Predicts responses for input samples and returns a float type.
      Overrides:
        `predict` in class `StatModel`
      Parameters:
        `samples` - The input data for the prediction algorithm. Matrix [m x n], where each row contains variables (features) of one object being classified. Should have data type CV_32F.
      Returns:
        automatically generated

    - #### getIterations

          public int getIterations()

      SEE: setIterations
      Returns:
        automatically generated

    - #### getMiniBatchSize

          public int getMiniBatchSize()

      SEE: setMiniBatchSize
      Returns:
        automatically generated

    - #### getRegularization

          public int getRegularization()

      SEE: setRegularization
      Returns:
        automatically generated

    - #### getTrainMethod

          public int getTrainMethod()

      SEE: setTrainMethod
      Returns:
        automatically generated

    - #### setIterations

          public void setIterations(int val)

      getIterations SEE: getIterations
      Parameters:
        `val` - automatically generated

    - #### setLearningRate

          public void setLearningRate(double val)

      getLearningRate SEE: getLearningRate
      Parameters:
        `val` - automatically generated

    - #### setMiniBatchSize

          public void setMiniBatchSize(int val)

      getMiniBatchSize SEE: getMiniBatchSize
      Parameters:
        `val` - automatically generated

    - #### setRegularization

          public void setRegularization(int val)

      getRegularization SEE: getRegularization
      Parameters:
        `val` - automatically generated

    - #### setTermCriteria

          public void setTermCriteria(TermCriteria val)

      getTermCriteria SEE: getTermCriteria
      Parameters:
        `val` - automatically generated

    - #### setTrainMethod

          public void setTrainMethod(int val)

      getTrainMethod SEE: getTrainMethod
      Parameters:
        `val` - automatically generated

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `StatModel`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7